package main

import (
	"context"
	"encoding/json"
	"gitea.cdlsxd.cn/sdk/plugin/instance"
	"gitea.cdlsxd.cn/sdk/plugin/manage"
	"gitea.cdlsxd.cn/sdk/plugin/proto"
	"log"
	"plugins/utils/wechat"
)

var wechatRedPackConf = &manage.Config{
	Cmd:         "pkg/mac/wechat_redpack.so",
	Tag:         "wechat_redpack",
	Version:     1,
	CookieKey:   "wechat_redpack",
	CookieValue: "wechat_redpack",
}

func getWechatRedPackConf() []byte {
	c := &wechat.Server{
		MchID:                      "1629276485",
		MchCertificateSerialNumber: "3C7E21B74C04BE6227A690EB44184F219D763F92",
		MchAPIv3Key:                "ChengDuBale0123456789qwertyuiopa",
	}
	marshal, _ := json.Marshal(c)
	return marshal
}

func wechatRedPack() {
	err := manage.Add(wechatRedPackConf)
	if err != nil {
		log.Fatalln(err)
	}
	queryRequest := &proto.QueryRequest{
		Config: getWechatRedPackConf(),
		Order: &proto.QueryRequest_Order{
			OrderNo: "",
			TradeNo: "69445765514",
			Account: "oO3vO5AxRWgTjmMD38FTvnB5Rq6o",
			Extra:   []byte(`{"app_id":"wx9ed74283ad25bca1"}`),
		},
	}
	resQuery, err := instance.Query(context.Background(), wechatRedPackConf.Tag, queryRequest)
	if err != nil {
		log.Fatalln(err)
	}
	log.Printf("Query res:%+v", resQuery)
}
